//*********************
// Pin definition file
//*********************

// defines 2 wire PS2 Keyboard connections for kb.c
#ifndef PORT_KB
#ifdef GENBOARDv3
#define PIN_KB  PINE
#define PORT_KB PORTE
#define DDR_KB  DDRE

// the clock is wired in kb.c (INT6)
#define CLOCK   6   // pin4 on the 1x4 header connector
#define DATAPIN 2   // pin3 on the 1x4 header connector
#define PS2_INTERRUPT SIG_INTERRUPT6

#else	// GENBOARD v2.2

#define PIN_KB  PIND
#define PORT_KB PORTD
#define DDR_KB  DDRD

// the clock is wired in kb.c (INT2)
#define CLOCK   2   // pin5 on the 5x2 header connector
#define DATAPIN 3   // pin3 on the 5x2 header connector
#define PS2_INTERRUPT SIG_INTERRUPT2

#endif	// GENBOARD v2.2
#endif	// PORT_KB

